class LiveCareScheduleClinicsListResponse {
  List<ClinicsHaveScheduleList> clinicsHaveScheduleList;

  LiveCareScheduleClinicsListResponse({this.clinicsHaveScheduleList});

  LiveCareScheduleClinicsListResponse.fromJson(Map<String, dynamic> json) {
    if (json['ClinicsHaveScheduleList'] != null) {
      clinicsHaveScheduleList = new List<ClinicsHaveScheduleList>();
      json['ClinicsHaveScheduleList'].forEach((v) {
        clinicsHaveScheduleList.add(new ClinicsHaveScheduleList.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.clinicsHaveScheduleList != null) {
      data['ClinicsHaveScheduleList'] =
          this.clinicsHaveScheduleList.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class ClinicsHaveScheduleList {
  int clinicID;
  int serviceID;
  int projectID;
  String clinicDesc;
  String clinicDescN;
  String projectDesc;
  String projectDescN;

  ClinicsHaveScheduleList(
      {this.clinicID,
        this.serviceID,
        this.projectID,
        this.clinicDesc,
        this.clinicDescN,
        this.projectDesc,
        this.projectDescN});

  ClinicsHaveScheduleList.fromJson(Map<String, dynamic> json) {
    clinicID = json['ClinicID'];
    serviceID = json['ServiceID'];
    projectID = json['ProjectID'];
    clinicDesc = json['ClinicDesc'];
    clinicDescN = json['ClinicDescN'];
    projectDesc = json['ProjectDesc'];
    projectDescN = json['ProjectDescN'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['ClinicID'] = this.clinicID;
    data['ServiceID'] = this.serviceID;
    data['ProjectID'] = this.projectID;
    data['ClinicDesc'] = this.clinicDesc;
    data['ClinicDescN'] = this.clinicDescN;
    data['ProjectDesc'] = this.projectDesc;
    data['ProjectDescN'] = this.projectDescN;
    return data;
  }
}
